#include"Vec_ZZ_p.h"
#include"Mat_ZZ_p.h"

#define PKE_SECRETKEYBYTES SK_LEN
#define PKE_PUBLICKEYBYTES PK_LEN
#define PKE_BYTES padding
#define PKE_ALGNAME ˇ°UserDefinedAlgNameˇ±

int pke_keygen(unsigned char *pk, unsigned char *sk);
int pke_enc(unsigned char *pk, unsigned char *m, unsigned long long mlen, unsigned char *c, unsigned long long *clen);
int pke_dec(unsigned char *sk, unsigned char *c, unsigned long long clen, unsigned char *m, unsigned long long *mlen);
